Results 1 to 4 of 4

Thread: a quesion about selective package upgrading using zypper

  1. #1
    Join Date
    Jun 2008
    Location
    Brisbane, Australia
    Posts
    207

    Arrow a quesion about selective package upgrading using zypper

    Code:
    $ zypper up -t patch
    .......
    The following packages are going to be upgraded:
      cyrus-sasl cyrus-sasl-crammd5 cyrus-sasl-digestmd5 cyrus-sasl-gssapi
    cyrus-sasl-plain libopenssl0_9_8 openssl openssl-certs wireshark
    
    
    The following NEW patches are going to be installed:
      cyrus-sasl libopenssl-devel wireshark
    What if I want all of them, except wireshark? I obviously would like to avoid manually typing them all in, and avoid "locking" wireshark package. Surely there is some way to upgrade all except one selected package...
    NVIDIA! Listen to your customers! We want Free drivers.
    Petition #1. Petition #2. Use your VOICE! Sign the petitions!

  2. #2
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: a quesion about selective package upgrading using zypper

    Not that I'm aware of. Perhaps you could file an enhancement request for a syntax to exclude packages by regexp. Note that if the package is included to satisfy dependencies, then excluding it may prevent updates of other packages, but that's the logical consequence. In your case it looks like wireshark is an independent update.

    Why don't you want wireshark updated BTW?

  3. #3
    Join Date
    Jun 2008
    Location
    Brisbane, Australia
    Posts
    207

    Default Re: a quesion about selective package upgrading using zypper

    Because I had wireshark opened, and didn't want it to get updated, and interfere with the work I was doing. No other reason


    What syntax would u recommend? Maybe
    Code:
    zypper -v up -t package -wireshark\*
    NVIDIA! Listen to your customers! We want Free drivers.
    Petition #1. Petition #2. Use your VOICE! Sign the petitions!

  4. #4
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: a quesion about selective package upgrading using zypper

    Probably something like

    zypper up --exclude 'wireshark*'

    Probably too late for 11.2 even if accepted, maybe 11.3.

    PS: I'm not a developer so this is all speculation.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •